from dependency_injector import containers, providers

from src.core.logger import Logger
from src.core.node import NodeServiceParam


class Container(containers.DeclarativeContainer):
    config = providers.Configuration()

    logger = providers.Singleton(Logger)
    param = providers.Singleton(NodeServiceParam)
