import abc


class NodeServiceI(abc.ABC):

    @property
    @abc.abstractmethod
    def id(self) -> int:
        """ Возвращает id ноды """

    @property
    @abc.abstractmethod
    def description(self) -> str:
        """ Возвращает описание ноды """

    @abc.abstractmethod
    def handle(self) -> bool:
        """ Обработка """
